commit:     33dae0d01cab0012edaa73b6dc79930b8ee04d4d
Author:     Paolo Pedroni <paolo.pedroni <AT> iol <DOT> it>
AuthorDate: Fri Jun 17 10:36:59 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Jun 21 10:04:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33dae0d0

sci-mathematics/gimps: Version bump to 30.8.15

New beta version with improved P-1 testing
Also EAPI=8

Signed-off-by: Paolo Pedroni <paolo.pedroni <AT> iol.it>
Closes: https://bugs.gentoo.org/850625
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Closes: https://github.com/gentoo/gentoo/pull/25809
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-mathematics/gimps/Manifest             |  6 +--
 sci-mathematics/gimps/gimps-30.8.15.ebuild | 74 ++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+), 4 deletions(-)

diff --git a/sci-mathematics/gimps/Manifest b/sci-mathematics/gimps/Manifest
index a90c60e47b57..e77a3b076586 100644
--- a/sci-mathematics/gimps/Manifest
+++ b/sci-mathematics/gimps/Manifest
@@ -1,6 +1,4 @@
 DIST gimps-30.7.9.linux32.tar.gz 5966449 BLAKE2B 
b31b93417857d338e5e7454e1466bd881422fef51ce0cecb9f7991f7dd19526fcfc01283e0ed871859e32aa4672492fe222bdacd2e06b55ef8401a2169c1846a
 SHA512 
0491f7ec80953b8a86c75b6cc58532130dd51c6abd28617c87208da22a1fb4a1d2f4bea15bf6bd5de3a6706f5b8dcaa5a4cf7bcd39a47f5db0ee4ec74c41cfbd
 DIST gimps-30.7.9.linux64.tar.gz 7100830 BLAKE2B 
8ebae083d26309f7c624e38c943e3bb0c7fe40a538840970dc222ed33ba5eaa9a5c0767b822682921eaae27f839c1eca5c0204b2c135748002e5d072744afe25
 SHA512 
5e6f3fbcc50b9b91fda7b286392bb17e58fd8d55a8386f27e206c63c560993da9713513d5eb4355e8e934f2e8703b39fc96f3c6f01058b729330f3526d37479b
-DIST p95v303b6.linux32.tar.gz 5702312 BLAKE2B 
728c8b8e7e2b5187dc8126bccc5e2c165fbfbc0900d6c35517cd21b78e5292df143641e3766cc0146918062039b1eecab568f9b278f64b1b9197ee2f775603b9
 SHA512 
3e06fb77be07334949ece3ae152bdf5491f0b7f8e33e0e8ed2af3c34332841975a9514d1993ed2355abfa4e09f93e42093d02f96dc30c3471ae9f974cc2de11a
-DIST p95v303b6.linux64.tar.gz 7046127 BLAKE2B 
9cde9c2670203071cfc463434a47c8123064cb232bfeb25d8767cad2c25ea75b395e2ec135b7b4a6dc9616e9d6b05ead371e1083274a82468f62a0e1de93c98f
 SHA512 
6d6ded9a1724993d42adee28d400b0337835c52a4ce42271e62efb37134adfc6f017f55475860fbc1224e377a227ef8547b8852a35c082c37e996f4a1c1b570c
-DIST p95v305b2.linux32.tar.gz 5695951 BLAKE2B 
d97f5b553e0a0563d51a08049c08fe31231e2689cfe6ec979b832603bace334755e947be2d7a106d4f4b807070568746f2cdabf869c5c4c6e125155c332b10bf
 SHA512 
b5caa642e742438f10b5ee89d27213834755051679fe0d4d452e446b2f7628c8a874227971473d4319b8841f47a0bb32e7de9731d8b45e808356efb11922716e
-DIST p95v305b2.linux64.tar.gz 7165963 BLAKE2B 
3ae20e8e29273650e94ff8774f973240c6b57d7a54e1674e7f741a9d366d3fdad98bb91b8e2abfcf7e1df6319476aa116e921171f2b585a568ee7d5038635531
 SHA512 
5fe250f7dcc35767fd5f4529219351095d1076f631528d80fa09498e27fa211abc621ef070548c398402143bec5e1d6e6e974155f50eb9f42af0ca179e4e03a8
+DIST gimps-30.8.15.linux32.tar.gz 6029035 BLAKE2B 
4b84ebd89d45d5f0d0de28539ea8bc5bfb0f7383f39bb02ac00d51ba46897bba222db6215578e38fb939f541dae2569f431547caa51825dcdc6845e7e62f028b
 SHA512 
b0a30d2d629d0f08dd2838be9dbe669c7f8f3d9f50ccfedc94c453a994cba9972440182e05d8e3b74b258e6e60cff53f6521e73a7ebdb34a45701a81d8b3f671
+DIST gimps-30.8.15.linux64.tar.gz 7211031 BLAKE2B 
1d0291adb255099b9c8b44e2f650831755822ab850c2ebaa86dbe9728da619a4f9c22e3e5736a70ca3657818e2748caf32a23243347c048b9d57ecc8f7b3cf42
 SHA512 
6034dca7644bab85da3fdb194755a076778b37dfaa0a944ee5e64915e1196b61bd5f0a291a40118648c3a81faef3ac3026230709312d2de154260c3cf736a166

diff --git a/sci-mathematics/gimps/gimps-30.8.15.ebuild 
b/sci-mathematics/gimps/gimps-30.8.15.ebuild
new file mode 100644
index 000000000000..59f75793b412
--- /dev/null
+++ b/sci-mathematics/gimps/gimps-30.8.15.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pax-utils readme.gentoo-r1 systemd tmpfiles
+
+DESCRIPTION="The Great Internet Mersenne Prime Search"
+HOMEPAGE="https://www.mersenne.org/";
+
+# The author has finally caved in to the pressure of putting the build
+# number in the package name. Some dark magic necessary to get to the
+# package name
+
+MY_PV=$(ver_rs 2 'b' )
+
+SRC_URI="
+       amd64? ( 
https://www.mersenne.org/ftp_root/gimps/p95v${MY_PV/./}.linux64.tar.gz -> 
${P}.linux64.tar.gz )
+       x86? ( 
https://www.mersenne.org/ftp_root/gimps/p95v${MY_PV/./}.linux32.tar.gz -> 
${P}.linux32.tar.gz )
+       "
+
+SLOT="0"
+LICENSE="GIMPS"
+RESTRICT="mirror bindist"
+KEYWORDS="-* ~amd64 ~x86"
+
+# Since there are no statically linked binaries for this version of mprime,
+# and no static binaries for amd64 in general, we use the dynamically linked
+# ones and try to cover the .so deps with the packages listed in RDEPEND.
+# libgmp.so.10.4.1 is bundled within the .tar.gz, but we use the system one.
+
+DEPEND=""
+RDEPEND="net-misc/curl
+       >=dev-libs/gmp-6.1.2"
+
+S="${WORKDIR}"
+OPTINSTALLDIR="/opt/gimps"
+
+QA_PREBUILT="opt/gimps/mprime"
+
+DOCS=( license.txt readme.txt stress.txt undoc.txt whatsnew.txt )
+
+src_install() {
+       dodir ${OPTINSTALLDIR}
+       keepdir /var/lib/gimps
+       pax-mark m mprime
+       cp mprime "${D}/${OPTINSTALLDIR}" || die
+       fperms a-w "${OPTINSTALLDIR}/mprime"
+       fowners root:0 "${OPTINSTALLDIR}"
+       fowners root:0 "${OPTINSTALLDIR}/mprime"
+
+       einstalldocs
+
+       readme.gentoo_create_doc
+
+       newinitd "${FILESDIR}/${PN}-28.9-init.d" gimps
+       newconfd "${FILESDIR}/${PN}-25.6-conf.d" gimps
+
+       systemd_dounit "${FILESDIR}/${PN}.service"
+       newtmpfiles "${FILESDIR}/${PN}.tmpfiles" "${PN}.conf"
+}
+
+pkg_postinst() {
+       tmpfiles_process "${PN}.conf"
+
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       echo
+       einfo "GIMPS data files were not removed."
+       einfo "Remove them manually from /var/lib/gimps/"
+       echo
+}

Reply via email to